--- a/drivers/scsi/FlashPoint.c
+++ b/drivers/scsi/FlashPoint.c
@@ -6359,85 +5807,74 @@ static void FPT_scbusf(ULONG p_port)
  *
  *---------------------------------------------------------------------*/
 
-static void FPT_scasid(UCHAR p_card, ULONG p_port)
+static void FPT_scasid(unsigned char p_card, unsigned long p_port)
 {
-   UCHAR temp_id_string[ID_STRING_LENGTH];
+	unsigned char temp_id_string[ID_STRING_LENGTH];
 
-   UCHAR i,k,scam_id;
-	UCHAR crcBytes[3];
-	PNVRamInfo pCurrNvRam;
-	ushort_ptr pCrcBytes;
+	unsigned char i, k, scam_id;
+	unsigned char crcBytes[3];
+	struct nvram_info *pCurrNvRam;
+	unsigned short *pCrcBytes;
 
 	pCurrNvRam = FPT_BL_Card[p_card].pNvRamInfo;
 
-   i=0;
+	i = 0;
 
-   while (!i)
-      {
+	while (!i) {
+
+		for (k = 0; k < ID_STRING_LENGTH; k++) {
+			temp_id_string[k] = (unsigned char)0x00;
+		}
+
+		FPT_scxferc(p_port, SYNC_PTRN);
+		FPT_scxferc(p_port, ASSIGN_ID);
 
-      for (k=0; k < ID_STRING_LENGTH; k++)
-         {
-         temp_id_string[k] = (UCHAR) 0x00;
-         }
-
-      FPT_scxferc(p_port,SYNC_PTRN);
-      FPT_scxferc(p_port,ASSIGN_ID);
-
-      if (!(FPT_sciso(p_port,&temp_id_string[0])))
-         {
-			if(pCurrNvRam){
-				pCrcBytes = (ushort_ptr)&crcBytes[0];
+		if (!(FPT_sciso(p_port, &temp_id_string[0]))) {
+			if (pCurrNvRam) {
+				pCrcBytes = (unsigned short *)&crcBytes[0];
 				*pCrcBytes = FPT_CalcCrc16(&temp_id_string[0]);
 				crcBytes[2] = FPT_CalcLrc(&temp_id_string[0]);
 				temp_id_string[1] = crcBytes[2];
 				temp_id_string[2] = crcBytes[0];
 				temp_id_string[3] = crcBytes[1];
-				for(k = 4; k < ID_STRING_LENGTH; k++)
-					temp_id_string[k] = (UCHAR) 0x00;
+				for (k = 4; k < ID_STRING_LENGTH; k++)
+					temp_id_string[k] = (unsigned char)0x00;
 			}
-         i = FPT_scmachid(p_card,temp_id_string);
-
-         if (i == CLR_PRIORITY)
-            {
-            FPT_scxferc(p_port,MISC_CODE);
-            FPT_scxferc(p_port,CLR_P_FLAG);
-            i = 0;  /*Not the last ID yet. */
-            }
-
-         else if (i != NO_ID_AVAIL)
-            {
-            if (i < 8 )
-               FPT_scxferc(p_port,ID_0_7);
-            else
-               FPT_scxferc(p_port,ID_8_F);
-
-            scam_id = (i & (UCHAR) 0x07);
-
-
-            for (k=1; k < 0x08; k <<= 1)
-               if (!( k & i ))
-                  scam_id += 0x08;        /*Count number of zeros in DB0-3. */
+			i = FPT_scmachid(p_card, temp_id_string);
 
-            FPT_scxferc(p_port,scam_id);
+			if (i == CLR_PRIORITY) {
+				FPT_scxferc(p_port, MISC_CODE);
+				FPT_scxferc(p_port, CLR_P_FLAG);
+				i = 0;	/*Not the last ID yet. */
+			}
 
-            i = 0;  /*Not the last ID yet. */
-            }
-         }
+			else if (i != NO_ID_AVAIL) {
+				if (i < 8)
+					FPT_scxferc(p_port, ID_0_7);
+				else
+					FPT_scxferc(p_port, ID_8_F);
 
-      else
-         {
-         i = 1;
-         }
+				scam_id = (i & (unsigned char)0x07);
 
-      }  /*End while */
+				for (k = 1; k < 0x08; k <<= 1)
+					if (!(k & i))
+						scam_id += 0x08;	/*Count number of zeros in DB0-3. */
 
-   FPT_scxferc(p_port,SYNC_PTRN);
-   FPT_scxferc(p_port,CFG_CMPLT);
-}
+				FPT_scxferc(p_port, scam_id);
 
+				i = 0;	/*Not the last ID yet. */
+			}
+		}
 
+		else {
+			i = 1;
+		}
 
+	}			/*End while */
 
+	FPT_scxferc(p_port, SYNC_PTRN);
+	FPT_scxferc(p_port, CFG_CMPLT);
+}
 
 /*---------------------------------------------------------------------
  *
@@ -6447,32 +5884,32 @@ static void FPT_scasid(UCHAR p_card, ULO
  *
  *---------------------------------------------------------------------*/
 
-static void FPT_scsel(ULONG p_port)
+static void FPT_scsel(unsigned long p_port)
 {
 
-   WR_HARPOON(p_port+hp_scsisig, SCSI_SEL);
-   FPT_scwiros(p_port, SCSI_MSG);
-
-   WR_HARPOON(p_port+hp_scsisig, (SCSI_SEL | SCSI_BSY));
+	WR_HARPOON(p_port + hp_scsisig, SCSI_SEL);
+	FPT_scwiros(p_port, SCSI_MSG);
 
+	WR_HARPOON(p_port + hp_scsisig, (SCSI_SEL | SCSI_BSY));
 
-   WR_HARPOON(p_port+hp_scsisig, (SCSI_SEL | SCSI_BSY | SCSI_IOBIT | SCSI_CD));
-   WR_HARPOON(p_port+hp_scsidata_0, (UCHAR)(RD_HARPOON(p_port+hp_scsidata_0) |
-      (UCHAR)(BIT(7)+BIT(6))));
+	WR_HARPOON(p_port + hp_scsisig,
+		   (SCSI_SEL | SCSI_BSY | SCSI_IOBIT | SCSI_CD));
+	WR_HARPOON(p_port + hp_scsidata_0,
+		   (unsigned char)(RD_HARPOON(p_port + hp_scsidata_0) |
+				   (unsigned char)(BIT(7) + BIT(6))));
 
+	WR_HARPOON(p_port + hp_scsisig, (SCSI_BSY | SCSI_IOBIT | SCSI_CD));
+	FPT_scwiros(p_port, SCSI_SEL);
 
-   WR_HARPOON(p_port+hp_scsisig, (SCSI_BSY | SCSI_IOBIT | SCSI_CD));
-   FPT_scwiros(p_port, SCSI_SEL);
+	WR_HARPOON(p_port + hp_scsidata_0,
+		   (unsigned char)(RD_HARPOON(p_port + hp_scsidata_0) &
+				   ~(unsigned char)BIT(6)));
+	FPT_scwirod(p_port, BIT(6));
 
-   WR_HARPOON(p_port+hp_scsidata_0, (UCHAR)(RD_HARPOON(p_port+hp_scsidata_0) &
-      ~(UCHAR)BIT(6)));
-   FPT_scwirod(p_port, BIT(6));
-
-   WR_HARPOON(p_port+hp_scsisig, (SCSI_SEL | SCSI_BSY | SCSI_IOBIT | SCSI_CD));
+	WR_HARPOON(p_port + hp_scsisig,
+		   (SCSI_SEL | SCSI_BSY | SCSI_IOBIT | SCSI_CD));
 }
 
-
-
 /*---------------------------------------------------------------------
  *
  * Function: FPT_scxferc
@@ -6481,48 +5918,47 @@ static void FPT_scsel(ULONG p_port)
  *
  *---------------------------------------------------------------------*/
 
-static UCHAR FPT_scxferc(ULONG p_port, UCHAR p_data)
+static unsigned char FPT_scxferc(unsigned long p_port, unsigned char p_data)
 {
-   UCHAR curr_data, ret_data;
+	unsigned char curr_data, ret_data;
 
-   curr_data = p_data | BIT(7) | BIT(5);   /*Start with DB7 & DB5 asserted. */
+	curr_data = p_data | BIT(7) | BIT(5);	/*Start with DB7 & DB5 asserted. */
 
-   WR_HARPOON(p_port+hp_scsidata_0, curr_data);
+	WR_HARPOON(p_port + hp_scsidata_0, curr_data);
 
-   curr_data &= ~BIT(7);
+	curr_data &= ~BIT(7);
 
-   WR_HARPOON(p_port+hp_scsidata_0, curr_data);
+	WR_HARPOON(p_port + hp_scsidata_0, curr_data);
 
-   FPT_scwirod(p_port,BIT(7));              /*Wait for DB7 to be released. */
-	while (!(RD_HARPOON(p_port+hp_scsidata_0) & BIT(5)));
+	FPT_scwirod(p_port, BIT(7));	/*Wait for DB7 to be released. */
+	while (!(RD_HARPOON(p_port + hp_scsidata_0) & BIT(5))) ;
 
-   ret_data = (RD_HARPOON(p_port+hp_scsidata_0) & (UCHAR) 0x1F);
+	ret_data = (RD_HARPOON(p_port + hp_scsidata_0) & (unsigned char)0x1F);
 
-   curr_data |= BIT(6);
+	curr_data |= BIT(6);
 
-   WR_HARPOON(p_port+hp_scsidata_0, curr_data);
+	WR_HARPOON(p_port + hp_scsidata_0, curr_data);
 
-   curr_data &= ~BIT(5);
+	curr_data &= ~BIT(5);
 
-   WR_HARPOON(p_port+hp_scsidata_0, curr_data);
+	WR_HARPOON(p_port + hp_scsidata_0, curr_data);
 
-   FPT_scwirod(p_port,BIT(5));              /*Wait for DB5 to be released. */
+	FPT_scwirod(p_port, BIT(5));	/*Wait for DB5 to be released. */
 
-   curr_data &= ~(BIT(4)|BIT(3)|BIT(2)|BIT(1)|BIT(0)); /*Release data bits */
-   curr_data |= BIT(7);
+	curr_data &= ~(BIT(4) | BIT(3) | BIT(2) | BIT(1) | BIT(0));	/*Release data bits */
+	curr_data |= BIT(7);
 
-   WR_HARPOON(p_port+hp_scsidata_0, curr_data);
+	WR_HARPOON(p_port + hp_scsidata_0, curr_data);
 
-   curr_data &= ~BIT(6);
+	curr_data &= ~BIT(6);
 
-   WR_HARPOON(p_port+hp_scsidata_0, curr_data);
+	WR_HARPOON(p_port + hp_scsidata_0, curr_data);
 
-   FPT_scwirod(p_port,BIT(6));              /*Wait for DB6 to be released. */
+	FPT_scwirod(p_port, BIT(6));	/*Wait for DB6 to be released. */
 
-   return(ret_data);
+	return ret_data;
 }
 
-
 /*---------------------------------------------------------------------
  *
  * Function: FPT_scsendi
@@ -6532,51 +5968,50 @@ static UCHAR FPT_scxferc(ULONG p_port, U
  *
  *---------------------------------------------------------------------*/
 
-static UCHAR FPT_scsendi(ULONG p_port, UCHAR p_id_string[])
+static unsigned char FPT_scsendi(unsigned long p_port,
+				 unsigned char p_id_string[])
 {
-   UCHAR ret_data,byte_cnt,bit_cnt,defer;
+	unsigned char ret_data, byte_cnt, bit_cnt, defer;
 
-   defer = 0;
+	defer = 0;
 
-   for (byte_cnt = 0; byte_cnt < ID_STRING_LENGTH; byte_cnt++) {
+	for (byte_cnt = 0; byte_cnt < ID_STRING_LENGTH; byte_cnt++) {
 
-      for (bit_cnt = 0x80; bit_cnt != 0 ; bit_cnt >>= 1) {
+		for (bit_cnt = 0x80; bit_cnt != 0; bit_cnt >>= 1) {
 
-         if (defer)
-            ret_data = FPT_scxferc(p_port,00);
+			if (defer)
+				ret_data = FPT_scxferc(p_port, 00);
 
-         else if (p_id_string[byte_cnt] & bit_cnt)
+			else if (p_id_string[byte_cnt] & bit_cnt)
 
-               ret_data = FPT_scxferc(p_port,02);
+				ret_data = FPT_scxferc(p_port, 02);
 
-            else {
+			else {
 
-               ret_data = FPT_scxferc(p_port,01);
-               if (ret_data & 02)
-                  defer = 1;
-               }
+				ret_data = FPT_scxferc(p_port, 01);
+				if (ret_data & 02)
+					defer = 1;
+			}
 
-         if ((ret_data & 0x1C) == 0x10)
-            return(0x00);  /*End of isolation stage, we won! */
+			if ((ret_data & 0x1C) == 0x10)
+				return 0x00;	/*End of isolation stage, we won! */
 
-         if (ret_data & 0x1C)
-            return(0xFF);
+			if (ret_data & 0x1C)
+				return 0xFF;
 
-         if ((defer) && (!(ret_data & 0x1F)))
-            return(0x01);  /*End of isolation stage, we lost. */
+			if ((defer) && (!(ret_data & 0x1F)))
+				return 0x01;	/*End of isolation stage, we lost. */
 
-         } /*bit loop */
+		}		/*bit loop */
 
-      } /*byte loop */
+	}			/*byte loop */
 
-   if (defer)
-      return(0x01);  /*We lost */
-   else
-      return(0);  /*We WON! Yeeessss! */
+	if (defer)
+		return 0x01;	/*We lost */
+	else
+		return 0;	/*We WON! Yeeessss! */
 }
 
-
-
 /*---------------------------------------------------------------------
  *
  * Function: FPT_sciso
@@ -6585,31 +6020,31 @@ static UCHAR FPT_scsendi(ULONG p_port, U
  *
  *---------------------------------------------------------------------*/
 
-static UCHAR FPT_sciso(ULONG p_port, UCHAR p_id_string[])
+static unsigned char FPT_sciso(unsigned long p_port,
+			       unsigned char p_id_string[])
 {
-   UCHAR ret_data,the_data,byte_cnt,bit_cnt;
+	unsigned char ret_data, the_data, byte_cnt, bit_cnt;
 
-   the_data = 0;
+	the_data = 0;
 
-   for (byte_cnt = 0; byte_cnt < ID_STRING_LENGTH; byte_cnt++) {
+	for (byte_cnt = 0; byte_cnt < ID_STRING_LENGTH; byte_cnt++) {
 
-      for (bit_cnt = 0; bit_cnt < 8; bit_cnt++) {
+		for (bit_cnt = 0; bit_cnt < 8; bit_cnt++) {
 
-         ret_data = FPT_scxferc(p_port,0);
+			ret_data = FPT_scxferc(p_port, 0);
 
-         if (ret_data & 0xFC)
-            return(0xFF);
+			if (ret_data & 0xFC)
+				return 0xFF;
 
-         else {
+			else {
 
-            the_data <<= 1;
-            if (ret_data & BIT(1)) {
-               the_data |= 1;
-               }
-            }
+				the_data <<= 1;
+				if (ret_data & BIT(1)) {
+					the_data |= 1;
+				}
+			}
 
-         if ((ret_data & 0x1F) == 0)
-	   {
+			if ((ret_data & 0x1F) == 0) {
 /*
 				if(bit_cnt != 0 || bit_cnt != 8)
 				{
@@ -6620,23 +6055,21 @@ static UCHAR FPT_sciso(ULONG p_port, UCH
 					continue;
 				}
 */
-            if (byte_cnt)
-               return(0x00);
-            else
-               return(0xFF);
-	   }
+				if (byte_cnt)
+					return 0x00;
+				else
+					return 0xFF;
+			}
 
-         } /*bit loop */
+		}		/*bit loop */
 
-      p_id_string[byte_cnt] = the_data;
+		p_id_string[byte_cnt] = the_data;
 
-      } /*byte loop */
+	}			/*byte loop */
 
-   return(0);
+	return 0;
 }
 
-
-
 /*---------------------------------------------------------------------
  *
  * Function: FPT_scwirod
@@ -6646,26 +6079,24 @@ static UCHAR FPT_sciso(ULONG p_port, UCH
  *
  *---------------------------------------------------------------------*/
 
-static void FPT_scwirod(ULONG p_port, UCHAR p_data_bit)
+static void FPT_scwirod(unsigned long p_port, unsigned char p_data_bit)
 {
-   UCHAR i;
+	unsigned char i;
 
-   i = 0;
-   while ( i < MAX_SCSI_TAR ) {
+	i = 0;
+	while (i < MAX_SCSI_TAR) {
 
-      if (RD_HARPOON(p_port+hp_scsidata_0) & p_data_bit)
+		if (RD_HARPOON(p_port + hp_scsidata_0) & p_data_bit)
 
-         i = 0;
+			i = 0;
 
-      else
+		else
 
-         i++;
+			i++;
 
-      }
+	}
 }
 
-
-
 /*---------------------------------------------------------------------
  *
  * Function: FPT_scwiros
@@ -6675,25 +6106,24 @@ static void FPT_scwirod(ULONG p_port, UC
  *
  *---------------------------------------------------------------------*/
 
-static void FPT_scwiros(ULONG p_port, UCHAR p_data_bit)
+static void FPT_scwiros(unsigned long p_port, unsigned char p_data_bit)
 {
-   UCHAR i;
+	unsigned char i;
 
-   i = 0;
-   while ( i < MAX_SCSI_TAR ) {
+	i = 0;
+	while (i < MAX_SCSI_TAR) {
 
-      if (RD_HARPOON(p_port+hp_scsisig) & p_data_bit)
+		if (RD_HARPOON(p_port + hp_scsisig) & p_data_bit)
 
-         i = 0;
+			i = 0;
 
-      else
+		else
 
-         i++;
+			i++;
 
-      }
+	}
 }
 
-
 /*---------------------------------------------------------------------
  *
  * Function: FPT_scvalq
@@ -6702,23 +6132,22 @@ static void FPT_scwiros(ULONG p_port, UC
  *
  *---------------------------------------------------------------------*/
 
-static UCHAR FPT_scvalq(UCHAR p_quintet)
+static unsigned char FPT_scvalq(unsigned char p_quintet)
 {
-   UCHAR count;
+	unsigned char count;
 
-   for (count=1; count < 0x08; count<<=1) {
-      if (!(p_quintet & count))
-         p_quintet -= 0x80;
-      }
+	for (count = 1; count < 0x08; count <<= 1) {
+		if (!(p_quintet & count))
+			p_quintet -= 0x80;
+	}
 
-   if (p_quintet & 0x18)
-      return(0);
+	if (p_quintet & 0x18)
+		return 0;
 
-   else
-      return(1);
+	else
+		return 1;
 }
 
-
 /*---------------------------------------------------------------------
  *
  * Function: FPT_scsell
@@ -6729,75 +6158,78 @@ static UCHAR FPT_scvalq(UCHAR p_quintet)
  *
  *---------------------------------------------------------------------*/
 
-static UCHAR FPT_scsell(ULONG p_port, UCHAR targ_id)
+static unsigned char FPT_scsell(unsigned long p_port, unsigned char targ_id)
 {
-   ULONG i;
-
-   WR_HARPOON(p_port+hp_page_ctrl,
-      (RD_HARPOON(p_port+hp_page_ctrl) | G_INT_DISABLE));
+	unsigned long i;
 
-   ARAM_ACCESS(p_port);
+	WR_HARPOON(p_port + hp_page_ctrl,
+		   (RD_HARPOON(p_port + hp_page_ctrl) | G_INT_DISABLE));
 
-   WR_HARPOON(p_port+hp_addstat,(RD_HARPOON(p_port+hp_addstat) | SCAM_TIMER));
-   WR_HARPOON(p_port+hp_seltimeout,TO_4ms);
+	ARAM_ACCESS(p_port);
 
+	WR_HARPOON(p_port + hp_addstat,
+		   (RD_HARPOON(p_port + hp_addstat) | SCAM_TIMER));
+	WR_HARPOON(p_port + hp_seltimeout, TO_4ms);
 
-   for (i = p_port+CMD_STRT; i < p_port+CMD_STRT+12; i+=2) {
-      WRW_HARPOON(i, (MPM_OP+ACOMMAND));
-      }
-   WRW_HARPOON(i, (BRH_OP+ALWAYS+    NP));
-
-   WRW_HARPOON((p_port+hp_intstat),
-	       (RESET | TIMEOUT | SEL | BUS_FREE | AUTO_INT));
+	for (i = p_port + CMD_STRT; i < p_port + CMD_STRT + 12; i += 2) {
+		WRW_HARPOON(i, (MPM_OP + ACOMMAND));
+	}
+	WRW_HARPOON(i, (BRH_OP + ALWAYS + NP));
 
-   WR_HARPOON(p_port+hp_select_id, targ_id);
+	WRW_HARPOON((p_port + hp_intstat),
+		    (RESET | TIMEOUT | SEL | BUS_FREE | AUTO_INT));
 
-   WR_HARPOON(p_port+hp_portctrl_0, SCSI_PORT);
-   WR_HARPOON(p_port+hp_autostart_3, (SELECT | CMD_ONLY_STRT));
-   WR_HARPOON(p_port+hp_scsictrl_0, (SEL_TAR | ENA_RESEL));
+	WR_HARPOON(p_port + hp_select_id, targ_id);
 
+	WR_HARPOON(p_port + hp_portctrl_0, SCSI_PORT);
+	WR_HARPOON(p_port + hp_autostart_3, (SELECT | CMD_ONLY_STRT));
+	WR_HARPOON(p_port + hp_scsictrl_0, (SEL_TAR | ENA_RESEL));
 
-   while (!(RDW_HARPOON((p_port+hp_intstat)) &
-	    (RESET | PROG_HLT | TIMEOUT | AUTO_INT))) {}
+	while (!(RDW_HARPOON((p_port + hp_intstat)) &
+		 (RESET | PROG_HLT | TIMEOUT | AUTO_INT))) {
+	}
 
-   if (RDW_HARPOON((p_port+hp_intstat)) & RESET)
-         FPT_Wait(p_port, TO_250ms);
+	if (RDW_HARPOON((p_port + hp_intstat)) & RESET)
+		FPT_Wait(p_port, TO_250ms);
 
-   DISABLE_AUTO(p_port);
+	DISABLE_AUTO(p_port);
 
-   WR_HARPOON(p_port+hp_addstat,(RD_HARPOON(p_port+hp_addstat) & ~SCAM_TIMER));
-   WR_HARPOON(p_port+hp_seltimeout,TO_290ms);
+	WR_HARPOON(p_port + hp_addstat,
+		   (RD_HARPOON(p_port + hp_addstat) & ~SCAM_TIMER));
+	WR_HARPOON(p_port + hp_seltimeout, TO_290ms);
 
-   SGRAM_ACCESS(p_port);
+	SGRAM_ACCESS(p_port);
 
-   if (RDW_HARPOON((p_port+hp_intstat)) & (RESET | TIMEOUT) ) {
+	if (RDW_HARPOON((p_port + hp_intstat)) & (RESET | TIMEOUT)) {
 
-      WRW_HARPOON((p_port+hp_intstat),
-		  (RESET | TIMEOUT | SEL | BUS_FREE | PHASE));
+		WRW_HARPOON((p_port + hp_intstat),
+			    (RESET | TIMEOUT | SEL | BUS_FREE | PHASE));
 
-      WR_HARPOON(p_port+hp_page_ctrl,
-         (RD_HARPOON(p_port+hp_page_ctrl) & ~G_INT_DISABLE));
+		WR_HARPOON(p_port + hp_page_ctrl,
+			   (RD_HARPOON(p_port + hp_page_ctrl) &
+			    ~G_INT_DISABLE));
 
-      return(0);  /*No legacy device */
-      }
+		return 0;	/*No legacy device */
+	}
 
-   else {
+	else {
 
-      while(!(RDW_HARPOON((p_port+hp_intstat)) & BUS_FREE)) {
-				if (RD_HARPOON(p_port+hp_scsisig) & SCSI_REQ)
-					{
-					WR_HARPOON(p_port+hp_scsisig, (SCSI_ACK + S_ILL_PH));
-      			ACCEPT_MSG(p_port);
-					}
+		while (!(RDW_HARPOON((p_port + hp_intstat)) & BUS_FREE)) {
+			if (RD_HARPOON(p_port + hp_scsisig) & SCSI_REQ) {
+				WR_HARPOON(p_port + hp_scsisig,
+					   (SCSI_ACK + S_ILL_PH));
+				ACCEPT_MSG(p_port);
+			}
 		}
 
-      WRW_HARPOON((p_port+hp_intstat), CLR_ALL_INT_1);
+		WRW_HARPOON((p_port + hp_intstat), CLR_ALL_INT_1);
 
-      WR_HARPOON(p_port+hp_page_ctrl,
-         (RD_HARPOON(p_port+hp_page_ctrl) & ~G_INT_DISABLE));
+		WR_HARPOON(p_port + hp_page_ctrl,
+			   (RD_HARPOON(p_port + hp_page_ctrl) &
+			    ~G_INT_DISABLE));
 
-      return(1);  /*Found one of them oldies! */
-      }
+		return 1;	/*Found one of them oldies! */
+	}
 }
 
 /*---------------------------------------------------------------------
@@ -6808,12 +6240,12 @@ static UCHAR FPT_scsell(ULONG p_port, UC
  *
  *---------------------------------------------------------------------*/
 
-static void FPT_scwtsel(ULONG p_port)
+static void FPT_scwtsel(unsigned long p_port)
 {
-   while(!(RDW_HARPOON((p_port+hp_intstat)) & SCAM_SEL)) {}
+	while (!(RDW_HARPOON((p_port + hp_intstat)) & SCAM_SEL)) {
+	}
 }
 
-
 /*---------------------------------------------------------------------
  *
  * Function: FPT_inisci
@@ -6822,57 +6254,64 @@ static void FPT_scwtsel(ULONG p_port)
  *
  *---------------------------------------------------------------------*/
 
-static void FPT_inisci(UCHAR p_card, ULONG p_port, UCHAR p_our_id)
+static void FPT_inisci(unsigned char p_card, unsigned long p_port,
+		       unsigned char p_our_id)
 {
-   UCHAR i,k,max_id;
-   USHORT ee_data;
-	PNVRamInfo pCurrNvRam;
+	unsigned char i, k, max_id;
+	unsigned short ee_data;
+	struct nvram_info *pCurrNvRam;
 
 	pCurrNvRam = FPT_BL_Card[p_card].pNvRamInfo;
 
-   if (RD_HARPOON(p_port+hp_page_ctrl) & NARROW_SCSI_CARD)
-      max_id = 0x08;
+	if (RD_HARPOON(p_port + hp_page_ctrl) & NARROW_SCSI_CARD)
+		max_id = 0x08;
 
-   else
-      max_id = 0x10;
+	else
+		max_id = 0x10;
 
-	if(pCurrNvRam){
-		for(i = 0; i < max_id; i++){
+	if (pCurrNvRam) {
+		for (i = 0; i < max_id; i++) {
 
-			for(k = 0; k < 4; k++)
-				FPT_scamInfo[i].id_string[k] = pCurrNvRam->niScamTbl[i][k];
-			for(k = 4; k < ID_STRING_LENGTH; k++)
-				FPT_scamInfo[i].id_string[k] = (UCHAR) 0x00;
+			for (k = 0; k < 4; k++)
+				FPT_scamInfo[i].id_string[k] =
+				    pCurrNvRam->niScamTbl[i][k];
+			for (k = 4; k < ID_STRING_LENGTH; k++)
+				FPT_scamInfo[i].id_string[k] =
+				    (unsigned char)0x00;
 
-	      if(FPT_scamInfo[i].id_string[0] == 0x00)
-      	   FPT_scamInfo[i].state = ID_UNUSED;  /*Default to unused ID. */
-	      else
-   	      FPT_scamInfo[i].state = ID_UNASSIGNED;  /*Default to unassigned ID. */
+			if (FPT_scamInfo[i].id_string[0] == 0x00)
+				FPT_scamInfo[i].state = ID_UNUSED;	/*Default to unused ID. */
+			else
+				FPT_scamInfo[i].state = ID_UNASSIGNED;	/*Default to unassigned ID. */
 
 		}
-	}else {
-	   for (i=0; i < max_id; i++)
-   	   {
-      	for (k=0; k < ID_STRING_LENGTH; k+=2)
-	         {
-   	      ee_data = FPT_utilEERead(p_port, (USHORT)((EE_SCAMBASE/2) +
-      	     (USHORT) (i*((USHORT)ID_STRING_LENGTH/2)) + (USHORT)(k/2)));
-         	FPT_scamInfo[i].id_string[k] = (UCHAR) ee_data;
-	         ee_data >>= 8;
-   	      FPT_scamInfo[i].id_string[k+1] = (UCHAR) ee_data;
-      	   }
+	} else {
+		for (i = 0; i < max_id; i++) {
+			for (k = 0; k < ID_STRING_LENGTH; k += 2) {
+				ee_data =
+				    FPT_utilEERead(p_port,
+						   (unsigned
+						    short)((EE_SCAMBASE / 2) +
+							   (unsigned short)(i *
+									    ((unsigned short)ID_STRING_LENGTH / 2)) + (unsigned short)(k / 2)));
+				FPT_scamInfo[i].id_string[k] =
+				    (unsigned char)ee_data;
+				ee_data >>= 8;
+				FPT_scamInfo[i].id_string[k + 1] =
+				    (unsigned char)ee_data;
+			}
 
-	      if ((FPT_scamInfo[i].id_string[0] == 0x00) ||
-   	       (FPT_scamInfo[i].id_string[0] == 0xFF))
+			if ((FPT_scamInfo[i].id_string[0] == 0x00) ||
+			    (FPT_scamInfo[i].id_string[0] == 0xFF))
 
-      	   FPT_scamInfo[i].state = ID_UNUSED;  /*Default to unused ID. */
+				FPT_scamInfo[i].state = ID_UNUSED;	/*Default to unused ID. */
 
-	      else
-   	      FPT_scamInfo[i].state = ID_UNASSIGNED;  /*Default to unassigned ID. */
+			else
+				FPT_scamInfo[i].state = ID_UNASSIGNED;	/*Default to unassigned ID. */
 
-      	}
+		}
 	}
-	for(k = 0; k < ID_STRING_LENGTH; k++)
+	for (k = 0; k < ID_STRING_LENGTH; k++)
 		FPT_scamInfo[p_our_id].id_string[k] = FPT_scamHAString[k];
 
 }
@@ -6886,127 +6325,114 @@ static void FPT_inisci(UCHAR p_card, ULO
  *
  *---------------------------------------------------------------------*/
 
-static UCHAR FPT_scmachid(UCHAR p_card, UCHAR p_id_string[])
+static unsigned char FPT_scmachid(unsigned char p_card,
+				  unsigned char p_id_string[])
 {
 
-   UCHAR i,k,match;
-
-
-   for (i=0; i < MAX_SCSI_TAR; i++) {
-
-         match = 1;
-
-         for (k=0; k < ID_STRING_LENGTH; k++)
-            {
-            if (p_id_string[k] != FPT_scamInfo[i].id_string[k])
-               match = 0;
-            }
+	unsigned char i, k, match;
 
-         if (match)
-            {
-            FPT_scamInfo[i].state = ID_ASSIGNED;
-            return(i);
-            }
+	for (i = 0; i < MAX_SCSI_TAR; i++) {
 
-      }
+		match = 1;
 
+		for (k = 0; k < ID_STRING_LENGTH; k++) {
+			if (p_id_string[k] != FPT_scamInfo[i].id_string[k])
+				match = 0;
+		}
 
+		if (match) {
+			FPT_scamInfo[i].state = ID_ASSIGNED;
+			return i;
+		}
 
-   if (p_id_string[0] & BIT(5))
-      i = 8;
-   else
-      i = MAX_SCSI_TAR;
+	}
 
-   if (((p_id_string[0] & 0x06) == 0x02) || ((p_id_string[0] & 0x06) == 0x04))
-      match = p_id_string[1] & (UCHAR) 0x1F;
-   else
-      match = 7;
+	if (p_id_string[0] & BIT(5))
+		i = 8;
+	else
+		i = MAX_SCSI_TAR;
 
-   while (i > 0)
-      {
-      i--;
+	if (((p_id_string[0] & 0x06) == 0x02)
+	    || ((p_id_string[0] & 0x06) == 0x04))
+		match = p_id_string[1] & (unsigned char)0x1F;
+	else
+		match = 7;
 
-      if (FPT_scamInfo[match].state == ID_UNUSED)
-         {
-         for (k=0; k < ID_STRING_LENGTH; k++)
-            {
-            FPT_scamInfo[match].id_string[k] = p_id_string[k];
-            }
+	while (i > 0) {
+		i--;
 
-         FPT_scamInfo[match].state = ID_ASSIGNED;
+		if (FPT_scamInfo[match].state == ID_UNUSED) {
+			for (k = 0; k < ID_STRING_LENGTH; k++) {
+				FPT_scamInfo[match].id_string[k] =
+				    p_id_string[k];
+			}
 
-			if(FPT_BL_Card[p_card].pNvRamInfo == NULL)
-	         FPT_BL_Card[p_card].globalFlags |= F_UPDATE_EEPROM;
-         return(match);
+			FPT_scamInfo[match].state = ID_ASSIGNED;
 
-         }
+			if (FPT_BL_Card[p_card].pNvRamInfo == NULL)
+				FPT_BL_Card[p_card].globalFlags |=
+				    F_UPDATE_EEPROM;
+			return match;
 
+		}
 
-      match--;
+		match--;
 
-      if (match == 0xFF)
-	{
-         if (p_id_string[0] & BIT(5))
-            match = 7;
-         else
-            match = MAX_SCSI_TAR-1;
+		if (match == 0xFF) {
+			if (p_id_string[0] & BIT(5))
+				match = 7;
+			else
+				match = MAX_SCSI_TAR - 1;
+		}
 	}
-      }
-
 
+	if (p_id_string[0] & BIT(7)) {
+		return CLR_PRIORITY;
+	}
 
-   if (p_id_string[0] & BIT(7))
-      {
-      return(CLR_PRIORITY);
-      }
-
-
-   if (p_id_string[0] & BIT(5))
-      i = 8;
-   else
-      i = MAX_SCSI_TAR;
-
-   if (((p_id_string[0] & 0x06) == 0x02) || ((p_id_string[0] & 0x06) == 0x04))
-      match = p_id_string[1] & (UCHAR) 0x1F;
-   else
-      match = 7;
+	if (p_id_string[0] & BIT(5))
+		i = 8;
+	else
+		i = MAX_SCSI_TAR;
 
-   while (i > 0)
-      {
+	if (((p_id_string[0] & 0x06) == 0x02)
+	    || ((p_id_string[0] & 0x06) == 0x04))
+		match = p_id_string[1] & (unsigned char)0x1F;
+	else
+		match = 7;
 
-      i--;
+	while (i > 0) {
 
-      if (FPT_scamInfo[match].state == ID_UNASSIGNED)
-         {
-         for (k=0; k < ID_STRING_LENGTH; k++)
-            {
-            FPT_scamInfo[match].id_string[k] = p_id_string[k];
-            }
+		i--;
 
-         FPT_scamInfo[match].id_string[0] |= BIT(7);
-         FPT_scamInfo[match].state = ID_ASSIGNED;
-			if(FPT_BL_Card[p_card].pNvRamInfo == NULL)
-	         FPT_BL_Card[p_card].globalFlags |= F_UPDATE_EEPROM;
-         return(match);
+		if (FPT_scamInfo[match].state == ID_UNASSIGNED) {
+			for (k = 0; k < ID_STRING_LENGTH; k++) {
+				FPT_scamInfo[match].id_string[k] =
+				    p_id_string[k];
+			}
 
-         }
+			FPT_scamInfo[match].id_string[0] |= BIT(7);
+			FPT_scamInfo[match].state = ID_ASSIGNED;
+			if (FPT_BL_Card[p_card].pNvRamInfo == NULL)
+				FPT_BL_Card[p_card].globalFlags |=
+				    F_UPDATE_EEPROM;
+			return match;
 
+		}
 
-      match--;
+		match--;
 
-      if (match == 0xFF)
-	{
-         if (p_id_string[0] & BIT(5))
-            match = 7;
-         else
-            match = MAX_SCSI_TAR-1;
+		if (match == 0xFF) {
+			if (p_id_string[0] & BIT(5))
+				match = 7;
+			else
+				match = MAX_SCSI_TAR - 1;
+		}
 	}
-      }
 
-   return(NO_ID_AVAIL);
+	return NO_ID_AVAIL;
 }
 
-
 /*---------------------------------------------------------------------
  *
  * Function: FPT_scsavdi
@@ -7015,45 +6441,41 @@ static UCHAR FPT_scmachid(UCHAR p_card, 
  *
  *---------------------------------------------------------------------*/
 
-static void FPT_scsavdi(UCHAR p_card, ULONG p_port)
+static void FPT_scsavdi(unsigned char p_card, unsigned long p_port)
 {
-   UCHAR i,k,max_id;
-   USHORT ee_data,sum_data;
-
-
-   sum_data = 0x0000;
+	unsigned char i, k, max_id;
+	unsigned short ee_data, sum_data;
 
-   for (i = 1; i < EE_SCAMBASE/2; i++)
-      {
-      sum_data += FPT_utilEERead(p_port, i);
-      }
+	sum_data = 0x0000;
 
+	for (i = 1; i < EE_SCAMBASE / 2; i++) {
+		sum_data += FPT_utilEERead(p_port, i);
+	}
 
-   FPT_utilEEWriteOnOff(p_port,1);   /* Enable write access to the EEPROM */
-
-   if (RD_HARPOON(p_port+hp_page_ctrl) & NARROW_SCSI_CARD)
-      max_id = 0x08;
+	FPT_utilEEWriteOnOff(p_port, 1);	/* Enable write access to the EEPROM */
 
-   else
-      max_id = 0x10;
+	if (RD_HARPOON(p_port + hp_page_ctrl) & NARROW_SCSI_CARD)
+		max_id = 0x08;
 
-   for (i=0; i < max_id; i++)
-      {
+	else
+		max_id = 0x10;
 
-      for (k=0; k < ID_STRING_LENGTH; k+=2)
-         {
-         ee_data = FPT_scamInfo[i].id_string[k+1];
-         ee_data <<= 8;
-         ee_data |= FPT_scamInfo[i].id_string[k];
-         sum_data += ee_data;
-         FPT_utilEEWrite(p_port, ee_data, (USHORT)((EE_SCAMBASE/2) +
-            (USHORT)(i*((USHORT)ID_STRING_LENGTH/2)) + (USHORT)(k/2)));
-         }
-      }
+	for (i = 0; i < max_id; i++) {
 
+		for (k = 0; k < ID_STRING_LENGTH; k += 2) {
+			ee_data = FPT_scamInfo[i].id_string[k + 1];
+			ee_data <<= 8;
+			ee_data |= FPT_scamInfo[i].id_string[k];
+			sum_data += ee_data;
+			FPT_utilEEWrite(p_port, ee_data,
+					(unsigned short)((EE_SCAMBASE / 2) +
+							 (unsigned short)(i *
+									  ((unsigned short)ID_STRING_LENGTH / 2)) + (unsigned short)(k / 2)));
+		}
+	}
 
-   FPT_utilEEWrite(p_port, sum_data, EEPROM_CHECK_SUM/2);
-   FPT_utilEEWriteOnOff(p_port,0);   /* Turn off write access */
+	FPT_utilEEWrite(p_port, sum_data, EEPROM_CHECK_SUM / 2);
+	FPT_utilEEWriteOnOff(p_port, 0);	/* Turn off write access */
 }
 
 /*---------------------------------------------------------------------
@@ -7064,48 +6486,47 @@ static void FPT_scsavdi(UCHAR p_card, UL
  *
  *---------------------------------------------------------------------*/
 
-static void FPT_XbowInit(ULONG port, UCHAR ScamFlg)
+static void FPT_XbowInit(unsigned long port, unsigned char ScamFlg)
 {
-UCHAR i;
+	unsigned char i;
 
-	i = RD_HARPOON(port+hp_page_ctrl);
-	WR_HARPOON(port+hp_page_ctrl, (UCHAR) (i | G_INT_DISABLE));
+	i = RD_HARPOON(port + hp_page_ctrl);
+	WR_HARPOON(port + hp_page_ctrl, (unsigned char)(i | G_INT_DISABLE));
 
-   WR_HARPOON(port+hp_scsireset,0x00);
-   WR_HARPOON(port+hp_portctrl_1,HOST_MODE8);
+	WR_HARPOON(port + hp_scsireset, 0x00);
+	WR_HARPOON(port + hp_portctrl_1, HOST_MODE8);
 
-   WR_HARPOON(port+hp_scsireset,(DMA_RESET | HPSCSI_RESET | PROG_RESET | \
-				 FIFO_CLR));
+	WR_HARPOON(port + hp_scsireset, (DMA_RESET | HPSCSI_RESET | PROG_RESET |
+					 FIFO_CLR));
 
-   WR_HARPOON(port+hp_scsireset,SCSI_INI);
+	WR_HARPOON(port + hp_scsireset, SCSI_INI);
 
-   WR_HARPOON(port+hp_clkctrl_0,CLKCTRL_DEFAULT);
+	WR_HARPOON(port + hp_clkctrl_0, CLKCTRL_DEFAULT);
 
-   WR_HARPOON(port+hp_scsisig,0x00);         /*  Clear any signals we might */
-   WR_HARPOON(port+hp_scsictrl_0,ENA_SCAM_SEL);
+	WR_HARPOON(port + hp_scsisig, 0x00);	/*  Clear any signals we might */
+	WR_HARPOON(port + hp_scsictrl_0, ENA_SCAM_SEL);
 
-   WRW_HARPOON((port+hp_intstat), CLR_ALL_INT);
+	WRW_HARPOON((port + hp_intstat), CLR_ALL_INT);
 
-   FPT_default_intena = RESET | RSEL | PROG_HLT | TIMEOUT |
-		    BUS_FREE | XFER_CNT_0 | AUTO_INT;
+	FPT_default_intena = RESET | RSEL | PROG_HLT | TIMEOUT |
+	    BUS_FREE | XFER_CNT_0 | AUTO_INT;
 
-   if ((ScamFlg & SCAM_ENABLED) && (ScamFlg & SCAM_LEVEL2))
+	if ((ScamFlg & SCAM_ENABLED) && (ScamFlg & SCAM_LEVEL2))
 		FPT_default_intena |= SCAM_SEL;
 
-   WRW_HARPOON((port+hp_intena), FPT_default_intena);
+	WRW_HARPOON((port + hp_intena), FPT_default_intena);
 
-   WR_HARPOON(port+hp_seltimeout,TO_290ms);
+	WR_HARPOON(port + hp_seltimeout, TO_290ms);
 
-   /* Turn on SCSI_MODE8 for narrow cards to fix the
-      strapping issue with the DUAL CHANNEL card */
-   if (RD_HARPOON(port+hp_page_ctrl) & NARROW_SCSI_CARD)
-      WR_HARPOON(port+hp_addstat,SCSI_MODE8);
+	/* Turn on SCSI_MODE8 for narrow cards to fix the
+	   strapping issue with the DUAL CHANNEL card */
+	if (RD_HARPOON(port + hp_page_ctrl) & NARROW_SCSI_CARD)
+		WR_HARPOON(port + hp_addstat, SCSI_MODE8);
 
-	WR_HARPOON(port+hp_page_ctrl, i);
+	WR_HARPOON(port + hp_page_ctrl, i);
 
 }
 
-
 /*---------------------------------------------------------------------
  *
  * Function: FPT_BusMasterInit
